Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server
Class AttributeDefOverAttr

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.jbo.server.DefObject
oracle.jbo.server.AttributeDefImpl
oracle.jbo.server.AttributeDefOverAttr`

All Implemented Interfaces:
  AttributeDef, AttributeHints, Properties, VariableManagerOwner

public class AttributeDefOverAttr
extends AttributeDefImpl

Field Summary

Fields inherited from class oracle.jbo.server.AttributeDefImpl
`ATTR_LOAD_BULK, ATTR_LOAD_EACH, ATTR_LOAD_SKIP, HISTORY_CREATE_DATE, HISTORY_CREATE_USER, HISTORY_MODIFY_DATE, HISTORY_MODIFY_USER, HISTORY_MODIFY_VERSION, HISTORY_NOT_DEFINED, mAttrLoad, mColumnName, mComponentClass, mDef, mDefaultValue, mDiscrColumn, mDomainName, mElemFactory, mElemType, mHistoryKind, mIndex, mJavaType, mKind, mMandatory, mNotNull, mObjectTableOID, mObjectTableRef, mObjectType, mOIDAttrNames, mPrecision, mPrimaryKey, mQueriable, mReadMethod, mResolveAccessors, mRetrievedOnInsert, mRetrievedOnUpdate, mScale, mSQLBuilder, mType, mTypeFactory, mTypeFactoryInitialized, mUnique, mUpdateable, mWriteMethod`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Fields inherited from interface oracle.jbo.AttributeDef
`ATTR_ASSOCIATED_ROW, ATTR_ASSOCIATED_ROWITERATOR, ATTR_DYNAMIC, ATTR_ENTITY_DERIVED, ATTR_PERSISTENT, ATTR_SQL_DERIVED, ATTR_TRANSIENT, ATTR_VARIABLE, READONLY, UPDATEABLE, UPDATEABLE_WHILE_NEW`

Fields inherited from interface oracle.jbo.AttributeHints
`ATTRIBUTE_CTL_DISPLAYHEIGHT, ATTRIBUTE_CTL_DISPLAYWIDTH, ATTRIBUTE_CTL_FORMTYPE, ATTRIBUTE_CTL_TYPE, ATTRIBUTE_DISPLAY_HINT, ATTRIBUTE_DISPLAY_HINT_DISPLAY, ATTRIBUTE_DISPLAY_HINT_HIDE, ATTRIBUTE_FORM_TYPE_DETAIL, ATTRIBUTE_FORM_TYPE_SHORT, ATTRIBUTE_LABEL, ATTRIBUTE_TOOLTIP, CTLTYPE_DATE, CTLTYPE_DEFAULT, CTLTYPE_EDIT, CTLTYPE_IMAGE, CTLTYPE_LIST, CTLTYPE_LOV, CTLTYPE_TOGGLE, FMT_FORMAT, FMT_FORMATTER`

Method Summary
`AttributeDefImpl` | `getSourceAttributeDef()`

Methods inherited from class oracle.jbo.server.AttributeDefImpl
`addValidator, beanToStore, convertToJava, convertToStorage, displayInShortForm, ensureVariableManager, finishedLoading, getAttributeKind, getAttrLoad, getBaseDefObject, getClientProxyClassName, getColumnName, getColumnNameForQuery, getComponentInterfaceName, getControlType, getDef, getDefaultValue, getDisplayHeight, getDisplayHint, getDisplayWidth, getDomainName, getEffectiveClientProxyClassName, getEffectiveComponentInterfaceName, getElemFactory, getElemSQLType, getElemType, getEntityDef, getFormat, getFormattedAttribute, getFormatter, getFormatterClassName, getHint, getHintsFromResource, getHintValue, getHistoryKind, getIndex, getJavaType, getLabel, getLocaleName, getMessageBundleClass, getObjectType, getOIDAttrNames, getPackageDef, getPackageName, getPrecision, getPropertiesMap, getScale, getSQLBuilder, getSQLType, getSQLTypeIdToString, getSQLTypeStringToId, getTooltip, getTypeFactory, getUIHelper, getUpdateableFlag, getValidators, getVariableManager, getVarMgrParents, getXMLElementTag, hasFormatInformation, hasVariables, initFromXML, isCascadeUpdateParticipant, isDiscrColumn, isMandatory, isObjectTableOID, isObjectTableRef, isPrimaryKey, isQueriable, isRetrievedOnInsert, isRetrievedOnUpdate, isSelected, isSessionScope, loadFromResultSet, loadFromStatement, loadProperties, loadVariables, parseFormattedAttribute, printXMLDefinition, removeValidator, resolveReferences, setAttrLoad, setBaseDefObject, setClientProxyClassName, setComponentInterfaceName, setDefaultValue, setDiscrColumn, setDomainName, setElemType, setMandatory, setMessageBundleClass, setName, setObjectType, setParent, setPrecisionScale, setPrimaryKey, setQueriable, setRetrievedOnInsert, setRetrievedOnUpdate, setSelected, setSQLType, setUpdateableFlag, storeToBean`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, setObjectResolved`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.AttributeDef
`getName`

Methods inherited from interface oracle.jbo.Properties
`getProperties, getProperty, refreshProperty`

Methods inherited from interface oracle.jbo.VariableManagerOwner
`getName`

Method Detail

### getSourceAttributeDef

    public AttributeDefImpl getSourceAttributeDef()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.